GET /dataset/{dataset}/{version}/query

unknown:gfw-data-api

Summary: Query Dataset
Operation ID: query_dataset_dataset__dataset___version__query_get
Auth: unknown
Description

Execute a READ-ONLY SQL query on the given dataset version (if implemented) and return response in JSON format. Adding a geostore ID to the query will apply a spatial filter to the query, only returning results for features intersecting with the geostore geometry. For vector datasets, this filter will not clip feature geometries to the geostore boundaries. Hence any spatial transformation such as area calculations will be applied on the entire feature geometry, including areas outside the geostore boundaries. This path is deprecated and will permanently redirect to /query/json.

Parameters (2)

dataset (string, path, required)

Constraints: {'pattern': '^[a-z][a-z0-9_-]{2,}$'}

version (string, path, required)

Constraints: {'pattern': '^v\\d{1,8}(\\.\\d{1,3}){0,2}?$|^latest$'}

No probe data for this endpoint yet.